# see https://symfony.com/doc/current/reference/configuration/framework.html
framework:
    secret: '%env(APP_SECRET)%'
    #csrf_protection: true
    http_method_override: false
    default_locale: es_AR

    # Enables session support. Note that the session will ONLY be started if you read or write from it.
    # Remove or comment this section to explicitly disable session support.
    session:
        handler_id: null
        cookie_secure: auto
        cookie_samesite: lax
        storage_factory_id: session.storage.factory.native

    #esi: true
    #fragments: true
    php_errors:
        log: true
    
    assets:
        base_path: '/assets'
        packages:
            documentos:
                base_urls:
                    - '%env(UPLOADS_FILES_URL)%/documentos/'
            notificaciones:
                base_urls:
                    - '%env(UPLOADS_FILES_URL)%/notificaciones/'
            ternas:
                base_urls:
                    - '%env(UPLOADS_FILES_URL)%/ternas/'
            ternas_sesion:
                base_urls:
                    - '%env(UPLOADS_FILES_URL)%/ternas_sesion/'
            adjuntos:
                base_urls:
                    - '%env(UPLOADS_FILES_URL)%/ria_adjuntos'
            portal:
                base_urls:
                    - '%env(RUTA_ASSETS_PORTAL)%'
                version: 'v4'
            postulantes:
                base_urls:
                    - '%env(RUTA_ASSETS_POSTU)%'
                version: 'v4'
            ria_fotos:
                base_urls:
                    - '%env(RIA_ASSETS_URL)%/imagenes/ria'

when@test:
    framework:
        test: true
        session:
            storage_factory_id: session.storage.factory.mock_file
